curl --request POST \
--url https://{region}.affinda.com/v3/data_point_choices/replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataPoint": "XprEvgai",
"choices": [
{
"value": "USD",
"label": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}
],
"collection": "mEFayXdO",
"organization": "mEFayXdO"
}
'import requests
url = "https://{region}.affinda.com/v3/data_point_choices/replace"
payload = {
"dataPoint": "XprEvgai",
"choices": [
{
"value": "USD",
"label": "USD",
"synonyms": ["<string>"],
"description": "<string>"
}
],
"collection": "mEFayXdO",
"organization": "mEFayXdO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataPoint: 'XprEvgai',
choices: [{value: 'USD', label: 'USD', synonyms: ['<string>'], description: '<string>'}],
collection: 'mEFayXdO',
organization: 'mEFayXdO'
})
};
fetch('https://{region}.affinda.com/v3/data_point_choices/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"dataPoint": "XprEvgai",
"collection": "mEFayXdO",
"organization": "mEFayXdO",
"choices": [
{
"id": 1,
"value": "USD",
"label": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Replace choices of a data point
Replace choices of a data point. Existing choices and incoming choices are matched base on their value. New value will be created, existing value will be updated, and value not in incoming choices will be deleted.
curl --request POST \
--url https://{region}.affinda.com/v3/data_point_choices/replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataPoint": "XprEvgai",
"choices": [
{
"value": "USD",
"label": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}
],
"collection": "mEFayXdO",
"organization": "mEFayXdO"
}
'import requests
url = "https://{region}.affinda.com/v3/data_point_choices/replace"
payload = {
"dataPoint": "XprEvgai",
"choices": [
{
"value": "USD",
"label": "USD",
"synonyms": ["<string>"],
"description": "<string>"
}
],
"collection": "mEFayXdO",
"organization": "mEFayXdO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataPoint: 'XprEvgai',
choices: [{value: 'USD', label: 'USD', synonyms: ['<string>'], description: '<string>'}],
collection: 'mEFayXdO',
organization: 'mEFayXdO'
})
};
fetch('https://{region}.affinda.com/v3/data_point_choices/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"dataPoint": "XprEvgai",
"collection": "mEFayXdO",
"organization": "mEFayXdO",
"choices": [
{
"id": 1,
"value": "USD",
"label": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
Request body for replacing choices of a data point. Either collection or organization is required.
Uniquely identify a data point.
"XprEvgai"
Incoming choices to replace existing choices of a data point. Existing choices and incoming choices are matched base on their value. New value will be created, existing value will be updated, and value not in incoming choices will be deleted.
Show child attributes
Show child attributes
Uniquely identify a collection.
"mEFayXdO"
Uniquely identify an organization.
"mEFayXdO"
Response
Successfully replaced choices of a data point.
Was this page helpful?